storage
3 endpoints
get /orgs/storage
Get org storage usage
Requires authentication
Responses
- 200 OK · apimodel.Envelope
- 403 Forbidden · apimodel.ErrorEnvelope
get /orgs/storage/attachments
List org attachments for storage management
Requires authentication
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| projectId | query | integer | no | Filter by project |
| mimeType | query | string | no | Filter by MIME type |
| sort | query | string | no | size | date |
| order | query | string | no | asc | desc |
| page | query | integer | no | 1-based page |
| perPage | query | integer | no | Page size (max 200) |
Responses
- 200 OK · apimodel.Envelope
- 403 Forbidden · apimodel.ErrorEnvelope
delete /orgs/storage/attachments
Delete org attachments
Requires authentication
Request body: handler.DeleteAttachmentsRequest
| Name | Type | Required | Description |
|---|---|---|---|
| ids | integer[] | no |
Responses
- 200 OK · apimodel.Envelope
- 400 Bad Request · apimodel.ErrorEnvelope
- 403 Forbidden · apimodel.ErrorEnvelope